
%define python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")
%define python_sitelib64 %(python_64 -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")

Name:           python-pysqlite
Version:        2.8.3
Release:        1
Url:            http://github.com/ghaering/pysqlite
Summary:        DB-API 2.0 interface for SQLite 3.x
License:        Zlib
Group:          Development/Languages/Python
Source0:        https://pypi.python.org/packages/source/p/pysqlite/pysqlite-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  python-devel >= 2.7.13-1
BuildRequires:  sqlite-devel >= 3.16.2-1
Requires:       python >= 2.7.13-1
Requires:       sqlite >= 3.16.2-1

Provides:       python-sqlite2 = %{version}
Obsoletes:      python-sqlite2 < %{version}
Provides:       pysqlite = %{version}
Obsoletes:      pysqlite < %{version}

%ifos aix5.1 || %ifos aix5.2 || %ifos aix5.3
Requires: AIX-rpm >= 5.1.0.50
Requires: AIX-rpm < 5.4.0.0
%endif

%ifos aix6.1 || %ifos aix7.1 || %ifos aix7.2
Requires: AIX-rpm >= 6.1.1.0
%endif

%define _libdir64 %{_prefix}/lib64

%description
Python interface to SQLite 3

pysqlite is an interface to the SQLite 3.x embedded relational database engine.
It is almost fully compliant with the Python database API version 2.0 also
exposes the unique features of SQLite.


%prep
%setup -q -n pysqlite-%{version}
mkdir ../32bit
mv * ../32bit
mv ../32bit .
mkdir 64bit
cd 32bit && tar cf - . | (cd ../64bit ; tar xpf -)


%build
export CC="cc_r -qcpluscmt"

cd 64bit
export OBJECT_MODE=64
export LDFLAGS="-L%{_libdir64} -L%{_libdir} -Wl,-blibpath:%{_libdir64}:%{_libdir}:/usr/lib:/lib -Wl,-bmaxdata:0x80000000"
python_64 setup.py build

cd ../32bit
export OBJECT_MODE=32
export LDFLAGS="-L%{_libdir} -Wl,-blibpath:%{_libdir}:/usr/lib:/lib -Wl,-bmaxdata:0x80000000"
python setup.py build


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

cd 64bit
python_64 setup.py install --skip-build --root ${RPM_BUILD_ROOT}

cd ../32bit
python setup.py install --skip-build --root ${RPM_BUILD_ROOT}

rm -rf ${RPM_BUILD_ROOT}%{_prefix}/pysqlite2-doc # remove wrongly installed junk


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc 32bit/CHANGES 32bit/LICENSE 32bit/README.md
%{python_sitelib}/*
%{python_sitelib64}/*


%changelog
* Wed Feb 01 2017 Michael Perzl <michael@perzl.org> - 2.8.3-1
- first version for AIX V5.1 and higher
